The code between #if and #endif is only about UMA mode. The CONFIG_GFXUMA should be 1.
We have another mode called side port mode. It is When the CONFIG_GFXUMA is 0.

Signed-off-by: Zheng Bao <zheng.bao@amd.com>


Index: src/cpu/x86/mtrr/mtrr.c
===================================================================
--- src/cpu/x86/mtrr/mtrr.c	(revision 4505)
+++ src/cpu/x86/mtrr/mtrr.c	(working copy)
@@ -418,7 +418,7 @@
 	search_global_resources(
 		IORESOURCE_MEM | IORESOURCE_CACHEABLE, IORESOURCE_MEM | IORESOURCE_CACHEABLE,
 		set_var_mtrr_resource, &var_state);
-#ifdef CONFIG_GFXUMA
+#if (CONFIG_GFXUMA == 1) /* UMA or SP. */
 	// For now we assume the UMA space is at the end of memory
 	if (var_state.hole_startk || var_state.hole_sizek) {
 		printk_debug("Warning: Can't set up MTRR hole for UMA due to pre-existing MTRR hole.\n");
